package com.zd.laboratory.mapper;

import java.util.List;
import java.util.Map;

import com.zd.laboratory.domain.LabPhotoNote;
import com.zd.laboratory.domain.vo.LabPhotoNoteListVO;
import com.zd.laboratory.domain.vo.LabPhotoNoteVO;

/**
 * 随手拍记录Mapper接口
 *
 * @author 周攀
 * @date 2021-09-10
 */
public interface LabPhotoNoteMapper {
    /**
     * 查询随手拍记录
     *
     * @param id 随手拍记录主键
     * @return 随手拍记录
     */
    public LabPhotoNote selectLabPhotoNoteById(Long id);

    /**
     * 查询随手拍记录列表
     *
     * @param labPhotoNote 随手拍记录
     * @return 随手拍记录集合
     */
    public List<LabPhotoNote> selectLabPhotoNoteList(LabPhotoNote labPhotoNote);


    /**
     * @return
     */
    public List<LabPhotoNoteListVO> selectLabPhotoNoteVOList(LabPhotoNote labPhotoNote);

    /**
     * 新增随手拍记录
     *
     * @param labPhotoNote 随手拍记录
     * @return 结果
     */
    public int insertLabPhotoNote(LabPhotoNote labPhotoNote);

    /**
     * 修改随手拍记录
     *
     * @param labPhotoNote 随手拍记录
     * @return 结果
     */
    public int updateLabPhotoNote(LabPhotoNote labPhotoNote);

    /**
     * 删除随手拍记录
     *
     * @param id 随手拍记录主键
     * @return 结果
     */
    public int deleteLabPhotoNoteById(Long id);

    /**
     * 批量删除随手拍记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLabPhotoNoteByIds(Long[] ids);

    /**
     * 查询登录人接收随手拍统计
     *
     * @param labPhotoNote
     * @return 查询登录人接收随手拍统计
     */
    public LabPhotoNoteVO receivePhotoNote(LabPhotoNote labPhotoNote);

    List<Map<String, Object>> selectDangers(Map<String, Object> params);
}
